import 'package:flutter_firebase_basic_tools/widgets/characteristics_container_item.dart';

import 'package:flutter/material.dart';

class CharacteristicsContainer extends StatefulWidget {
  const CharacteristicsContainer({
    @required this.texts,
  });

  final List<String> texts;

  @override
  _CharacteristicsContainerState createState() =>
      _CharacteristicsContainerState();
}

class _CharacteristicsContainerState extends State<CharacteristicsContainer> {
  @override
  Widget build(BuildContext context) {
    bool isPortrait =
        MediaQuery.of(context).size.width > MediaQuery.of(context).size.height
            ? false
            : true;

    double customHeightFactor = 0.5;

    return Container(
      height: MediaQuery.of(context).size.height,
      child: Flex(
        direction: isPortrait ? Axis.vertical : Axis.horizontal,
        children: <Widget>[
          Expanded(
            flex: 1,
            child: Column(
              children: <Widget>[
                Expanded(
                  flex: 1,
                  child: Container(
                    height: MediaQuery.of(context).size.height,
                    width: MediaQuery.of(context).size.width,
                    color: Theme.of(context).primaryColor,
                    child: FractionallySizedBox(
                      heightFactor: 0.5,
                      widthFactor: 0.5,
                      child: CharacteristicsContainerItem(
                        title: widget.texts[0],
                        description: widget.texts[1],
                        icon: Icons.show_chart,
                        color: Theme.of(context).primaryColor,
                        titleColor: Colors.white,
                        subtitleColor: Colors.white,
                        iconColor: Colors.orange.shade300,
                        sideIcon: false,
                        largeDescription: false,
                        alignToLeftDescription: false,
                      ),
                    ),
                  ),
                ),
                Expanded(
                  flex: 1,
                  child: Container(
                    height: MediaQuery.of(context).size.height,
                    width: MediaQuery.of(context).size.width,
                    color: Theme.of(context).primaryColor,
                    child: FractionallySizedBox(
                      heightFactor: 0.5,
                      widthFactor: 0.5,
                      child: CharacteristicsContainerItem(
                        title: widget.texts[2],
                        description: widget.texts[3],
                        icon: Icons.hourglass_empty,
                        color: Theme.of(context).primaryColor,
                        titleColor: Colors.white,
                        subtitleColor: Colors.white,
                        iconColor: Colors.orange.shade300,
                        sideIcon: false,
                        largeDescription: false,
                        alignToLeftDescription: false,
                      ),
                    ),
                  ),
                ),
              ],
            ),
          ),
          Expanded(
            flex: 1,
            child: Column(
              children: <Widget>[
                Expanded(
                  flex: 1,
                  child: Container(
                    height: MediaQuery.of(context).size.height,
                    width: MediaQuery.of(context).size.width,
                    color: Colors.lightBlueAccent,
                    child: FractionallySizedBox(
                      heightFactor: 0.5,
                      widthFactor: 0.5,
                      child: CharacteristicsContainerItem(
                        title: widget.texts[4],
                        description: widget.texts[5],
                        icon: Icons.people,
                        color: Colors.lightBlueAccent,
                        titleColor: Colors.white,
                        subtitleColor: Colors.white,
                        iconColor: Colors.orange.shade300,
                        sideIcon: false,
                        largeDescription: false,
                        alignToLeftDescription: false,
                      ),
                    ),
                  ),
                ),
                Expanded(
                  flex: 1,
                  child: Container(
                    height: MediaQuery.of(context).size.height,
                    width: MediaQuery.of(context).size.width,
                    color: Theme.of(context).primaryColor,
                    child: FractionallySizedBox(
                      heightFactor: 0.5,
                      widthFactor: 0.5,
                      child: CharacteristicsContainerItem(
                        title: widget.texts[6],
                        description: widget.texts[7],
                        icon: Icons.record_voice_over,
                        color: Theme.of(context).primaryColor,
                        titleColor: Colors.white,
                        subtitleColor: Colors.white,
                        iconColor: Colors.orange.shade300,
                        sideIcon: false,
                        largeDescription: false,
                        alignToLeftDescription: false,
                      ),
                    ),
                  ),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
